import { Connection, Keypair, PublicKey } from '@safecoin/web3.js';
import { InstructionsWithAccounts } from '../types';
export declare function setupDestinationTokenAccount(connection: Connection, args: {
    payer: PublicKey;
    mint: PublicKey;
}): Promise<InstructionsWithAccounts<{
    destination: PublicKey;
    destinationPair: Keypair;
}>>;
