"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupDestinationTokenAccount = void 0;
const helpers_1 = require("./helpers");
async function setupDestinationTokenAccount(connection, args) {
    const rentExempt = await (0, helpers_1.getTokenRentExempt)(connection);
    const { payer, mint } = args;
    const [instructions, signers, { tokenAccount: destination, tokenAccountPair: destinationPair }] = (0, helpers_1.createTokenAccount)(payer, rentExempt, mint, payer);
    return [instructions, signers, { destination, destinationPair }];
}
exports.setupDestinationTokenAccount = setupDestinationTokenAccount;
//# sourceMappingURL=account-setup.js.map