import * as definedTypes from '../types';
import * as web3 from '@safecoin/web3.js';
export declare type ActivateVaultInstructionArgs = {
    numberOfShareArgs: definedTypes.NumberOfShareArgs;
};
export declare type ActivateVaultInstructionAccounts = {
    vault: web3.PublicKey;
    fractionMint: web3.PublicKey;
    fractionTreasury: web3.PublicKey;
    fractionMintAuthority: web3.PublicKey;
    vaultAuthority: web3.PublicKey;
};
export declare function createActivateVaultInstruction(accounts: ActivateVaultInstructionAccounts, args: ActivateVaultInstructionArgs): web3.TransactionInstruction;
