import * as definedTypes from '../types';
import * as web3 from '@safecoin/web3.js';
export declare type AddSharesToTreasuryInstructionArgs = {
    numberOfShareArgs: definedTypes.NumberOfShareArgs;
};
export declare type AddSharesToTreasuryInstructionAccounts = {
    source: web3.PublicKey;
    fractionTreasury: web3.PublicKey;
    vault: web3.PublicKey;
    transferAuthority: web3.PublicKey;
    vaultAuthority: web3.PublicKey;
};
export declare function createAddSharesToTreasuryInstruction(accounts: AddSharesToTreasuryInstructionAccounts, args: AddSharesToTreasuryInstructionArgs): web3.TransactionInstruction;
