import * as definedTypes from '../types';
import * as web3 from '@safecoin/web3.js';
export declare type AddTokenToInactiveVaultInstructionArgs = {
    amountArgs: definedTypes.AmountArgs;
};
export declare type AddTokenToInactiveVaultInstructionAccounts = {
    safetyDepositAccount: web3.PublicKey;
    tokenAccount: web3.PublicKey;
    store: web3.PublicKey;
    vault: web3.PublicKey;
    vaultAuthority: web3.PublicKey;
    payer: web3.PublicKey;
    transferAuthority: web3.PublicKey;
    systemAccount: web3.PublicKey;
};
export declare function createAddTokenToInactiveVaultInstruction(accounts: AddTokenToInactiveVaultInstructionAccounts, args: AddTokenToInactiveVaultInstructionArgs): web3.TransactionInstruction;
