import * as web3 from '@safecoin/web3.js';
export declare type CombineVaultInstructionAccounts = {
    vault: web3.PublicKey;
    yourOutstandingShares: web3.PublicKey;
    yourPayment: web3.PublicKey;
    fractionMint: web3.PublicKey;
    fractionTreasury: web3.PublicKey;
    redeemTreasury: web3.PublicKey;
    newVaultAuthority: web3.PublicKey;
    vaultAuthority: web3.PublicKey;
    transferAuthority: web3.PublicKey;
    fractionBurnAuthority: web3.PublicKey;
    externalPricing: web3.PublicKey;
};
export declare function createCombineVaultInstruction(accounts: CombineVaultInstructionAccounts): web3.TransactionInstruction;
