import * as definedTypes from '../types';
import * as web3 from '@safecoin/web3.js';
export declare type MintFractionalSharesInstructionArgs = {
    numberOfShareArgs: definedTypes.NumberOfShareArgs;
};
export declare type MintFractionalSharesInstructionAccounts = {
    fractionTreasury: web3.PublicKey;
    fractionMint: web3.PublicKey;
    vault: web3.PublicKey;
    mintAuthority: web3.PublicKey;
    vaultAuthority: web3.PublicKey;
};
export declare function createMintFractionalSharesInstruction(accounts: MintFractionalSharesInstructionAccounts, args: MintFractionalSharesInstructionArgs): web3.TransactionInstruction;
