import * as accounts from '../accounts';
import * as web3 from '@safecoin/web3.js';
export declare type UpdateExternalPriceAccountInstructionArgs = {
    externalPriceAccount: accounts.ExternalPriceAccount;
};
export declare type UpdateExternalPriceAccountInstructionAccounts = {
    externalPriceAccount: web3.PublicKey;
};
export declare function createUpdateExternalPriceAccountInstruction(accounts: UpdateExternalPriceAccountInstructionAccounts, args: UpdateExternalPriceAccountInstructionArgs): web3.TransactionInstruction;
