import * as definedTypes from '../types';
import * as web3 from '@safecoin/web3.js';
export declare type WithdrawSharesFromTreasuryInstructionArgs = {
    numberOfShareArgs: definedTypes.NumberOfShareArgs;
};
export declare type WithdrawSharesFromTreasuryInstructionAccounts = {
    destination: web3.PublicKey;
    fractionTreasury: web3.PublicKey;
    vault: web3.PublicKey;
    transferAuthority: web3.PublicKey;
    vaultAuthority: web3.PublicKey;
};
export declare function createWithdrawSharesFromTreasuryInstruction(accounts: WithdrawSharesFromTreasuryInstructionAccounts, args: WithdrawSharesFromTreasuryInstructionArgs): web3.TransactionInstruction;
