/// <reference types="@safecoin/web3.js" />
import { WithdrawTokenFromSafetyDepositBoxInstructionAccounts } from '../generated';
import { bignum } from '@j0nnyboi/beet';
import { setupDestinationTokenAccount } from '../common';
export declare const setupWithdrawFromSafetyDestinationAccount: typeof setupDestinationTokenAccount;
export declare type WithdrawTokenFromSafetyDepositBoxAccounts = Omit<WithdrawTokenFromSafetyDepositBoxInstructionAccounts, 'transferAuthority'>;
export declare function withdrawTokenFromSafetyDepositBox(accounts: WithdrawTokenFromSafetyDepositBoxAccounts, amount: bignum): Promise<import("@safecoin/web3.js").TransactionInstruction>;
