"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withdrawTokenFromSafetyDepositBox = exports.setupWithdrawFromSafetyDestinationAccount = void 0;
const helpers_1 = require("../common/helpers");
const generated_1 = require("../generated");
const common_1 = require("../common");
exports.setupWithdrawFromSafetyDestinationAccount = common_1.setupDestinationTokenAccount;
async function withdrawTokenFromSafetyDepositBox(accounts, amount) {
    const transferAuthority = await (0, helpers_1.pdaForVault)(accounts.vault);
    return (0, generated_1.createWithdrawTokenFromSafetyDepositBoxInstruction)({ ...accounts, transferAuthority }, { amountArgs: { amount } });
}
exports.withdrawTokenFromSafetyDepositBox = withdrawTokenFromSafetyDepositBox;
//# sourceMappingURL=withdraw-token-from-safety-deposit-box.js.map