import * as definedTypes from '../types';
import * as web3 from '@safecoin/web3.js';
export declare type InitVaultInstructionArgs = {
    initVaultArgs: definedTypes.InitVaultArgs;
};
export declare type InitVaultInstructionAccounts = {
    fractionMint: web3.PublicKey;
    redeemTreasury: web3.PublicKey;
    fractionTreasury: web3.PublicKey;
    vault: web3.PublicKey;
    authority: web3.PublicKey;
    pricingLookupAddress: web3.PublicKey;
};
export declare function createInitVaultInstruction(accounts: InitVaultInstructionAccounts, args: InitVaultInstructionArgs): web3.TransactionInstruction;
