import * as web3 from '@safecoin/web3.js';
export declare type RedeemSharesInstructionAccounts = {
    outstandingShares: web3.PublicKey;
    destination: web3.PublicKey;
    fractionMint: web3.PublicKey;
    redeemTreasury: web3.PublicKey;
    transferAuthority: web3.PublicKey;
    burnAuthority: web3.PublicKey;
    vault: web3.PublicKey;
};
export declare function createRedeemSharesInstruction(accounts: RedeemSharesInstructionAccounts): web3.TransactionInstruction;
