"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSetAuthorityInstruction = void 0;
const beet = __importStar(require("@j0nnyboi/beet"));
const web3 = __importStar(require("@safecoin/web3.js"));
const SetAuthorityStruct = new beet.BeetArgsStruct([['instructionDiscriminator', beet.u8]], 'SetAuthorityInstructionArgs');
const setAuthorityInstructionDiscriminator = 10;
function createSetAuthorityInstruction(accounts) {
    const { vault, currentAuthority, newAuthority } = accounts;
    const [data] = SetAuthorityStruct.serialize({
        instructionDiscriminator: setAuthorityInstructionDiscriminator,
    });
    const keys = [
        {
            pubkey: vault,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: currentAuthority,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: newAuthority,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId: new web3.PublicKey('vau1zxA2LbssAUEF7Gpw91zMM1LvXrvpzJtmZ58rPsn'),
        keys,
        data,
    });
    return ix;
}
exports.createSetAuthorityInstruction = createSetAuthorityInstruction;
//# sourceMappingURL=SetAuthority.js.map