import * as definedTypes from '../types';
import * as web3 from '@safecoin/web3.js';
export declare type WithdrawTokenFromSafetyDepositBoxInstructionArgs = {
    amountArgs: definedTypes.AmountArgs;
};
export declare type WithdrawTokenFromSafetyDepositBoxInstructionAccounts = {
    destination: web3.PublicKey;
    safetyDeposit: web3.PublicKey;
    store: web3.PublicKey;
    vault: web3.PublicKey;
    fractionMint: web3.PublicKey;
    vaultAuthority: web3.PublicKey;
    transferAuthority: web3.PublicKey;
};
export declare function createWithdrawTokenFromSafetyDepositBoxInstruction(accounts: WithdrawTokenFromSafetyDepositBoxInstructionAccounts, args: WithdrawTokenFromSafetyDepositBoxInstructionArgs): web3.TransactionInstruction;
