import { bignum } from '@j0nnyboi/beet';
import { PublicKey } from '@safecoin/web3.js';
import { ActivateVaultInstructionAccounts } from '../generated';
import type { Optional } from 'utility-types';
export declare type ActivateVaultAccounts = Optional<ActivateVaultInstructionAccounts, 'fractionMintAuthority'>;
export declare function activateVault(vault: PublicKey, accounts: ActivateVaultAccounts, numberOfShares: bignum): Promise<import("@safecoin/web3.js").TransactionInstruction>;
