"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.activateVault = void 0;
const helpers_1 = require("../common/helpers");
const generated_1 = require("../generated");
async function activateVault(vault, accounts, numberOfShares) {
    var _a;
    const fractionMintAuthority = (_a = accounts.fractionMintAuthority) !== null && _a !== void 0 ? _a : (await (0, helpers_1.pdaForVault)(vault));
    return (0, generated_1.createActivateVaultInstruction)({ ...accounts, fractionMintAuthority }, { numberOfShareArgs: { numberOfShares } });
}
exports.activateVault = activateVault;
//# sourceMappingURL=activate-vault.js.map