import { Keypair, PublicKey, Signer, TransactionInstruction } from '@safecoin/web3.js';
import { bignum as beetBignum } from '@j0nnyboi/beet';
export declare type InstructionsWithAccounts<T extends Record<string, PublicKey | Keypair>> = [
    TransactionInstruction[],
    Signer[],
    T
];
export declare type bignum = beetBignum | bigint;
